import Vue from 'vue'

/** UpaUI component common definition */
export declare class UpaUIComponent extends Vue {
  /** Install component into Vue */
  static install (vue: typeof Vue): void
}

/** Component size definition for button, input, etc */
export type UpaUIComponentSize = 'large' | 'medium' | 'small' | 'mini'

/** Horizontal alignment */
export type UpaUIHorizontalAlignment = 'left' | 'center' | 'right'
